/*
timer.c: Uses the DT_AddTimer() function to print string via COM1.
  
Compiler: BC++ 3.1, 
          Turbo C++ 1.01(3.01) (free from http://cc.codegear.com/free/cpp)

Compile mode: Large

Project: Client.c
         ..\lib\7186el.Lib
         ..\lib\tcp_dm32.lib
         ..\lib\FW_nnnnn.LIB
         
Hordware: uPAC-7186EX

[Nov 04, 2008] by Liam
*/

#include<stdlib.h>
#include<conio.h>
#include<stdio.h>
#include "..\lib\7186e.h"
#include "..\lib\Tcpip32.h"
#include "..\lib\MFW.h"

void printHello(void);
void printBye(void);

void XS_UserInit(int argc,char *argv[])
{
	char version[20];
	int i;

	InitLib();

	XS_GetVersion(version);
	Print("[X-Server library]: version=%s ",version);
	XS_GetLibDate(version);
	Print("date=%s\r\n",version);
	Print("Tcpip library version:%X, Library Date is %s\r\n",GetTcpipLibVer(),version);

	XS_AddSystemLoopFun(UserLoop);

	DT_AddTimer(10, 500, 1, printHello);
	DT_AddTimer(5, 1000, 1, printBye);  // this line is executed at the same time as to above 
}

void XS_UserEnd(void)
{
 	DT_DeleteTimer(1 ,2);  // DT_DeleteTimer(id,number); number= the number of DT_AddTimer used
}

void UserLoop(void)
{ 
   	// DT_DeleteTimer(1, 5);
	if(Kbhit()){
		switch(Getch()){
			case 27:		// 27 = ESC
				QuitMain=1;
				break;
		}
	}
}

void main(int argc,char *argv[])
{
	XS_main(argc, argv);     // call the XS library main function
}

void printHello(void)
{
	 Print("Hello!	");
}

void printBye(void)
{
	 Print("Bye!	");
}

